<!DOCTYPE html>
<html lang="en-US" xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Edit - Portfolio</title>
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin="crossorigin"/>
  <link rel="preload" as="style"
        href="https://fonts.googleapis.com/css2?family=Poppins:wght@600&amp;family=Open+Sans:wght@300;400;600;700&amp;display=swap"/>
  <link rel="stylesheet"
        href="https://fonts.googleapis.com/css2?family=Poppins:wght@600&amp;family=Open+Sans:wght@300;400;600;700&amp;display=swap"
        media="print" onload="this.media='all'"/>
  <noscript>
    <link rel="stylesheet"
          href="https://fonts.googleapis.com/css2?family=Poppins:wght@600&amp;family=Open+Sans:wght@300;400;600;700&amp;display=swap"/>
  </noscript>
  <link th:href="@{/css/font-awesome/css/all.min.css}" rel="stylesheet">
  <link th:href="@{css/bootstrap.min.css}" rel="stylesheet">
</head>
<body>

<div class="px-3 px-lg-4 pb-4 mt-5 mb-5">
  <div class="row">
    <div class="col-md-6">
      <h1>Edit Portfolio</h1>
    </div>
  </div>

  <div class="row">
    <div class="col-md-12">
      <form action="#"
            th:action="@{/edit}"
            th:object="${portfolio}"
            method="POST">
        <div class="form-group my-2">
          <label for="firstName" class="form-label fw-bolder">First Name</label>
          <input class="form-control" type="text" id="firstName" name="firstName" required
                 th:attr="value=${portfolio.firstName}">

          <label for="lastName" class="form-label fw-bolder">Last Name</label>
          <input class="form-control" type="text" id="lastName" name="lastName" required
                 th:attr="value=${portfolio.lastName}">
        </div>
        <button class="btn btn-primary mt-2" type="submit">Save</button>
      </form>
    </div>
  </div>
  <div class="col-md-12">
    <a class="btn btn-primary mt-2" th:href="@{/logout}">Logout</a>
  </div>
</div>
</div>

<script th:src="@{scripts/jquery.min.js}"></script>
<script th:src="@{scripts/imagesloaded.pkgd.min.js}"></script>
<script th:src="@{scripts/masonry.pkgd.min.js}"></script>
<script th:src="@{scripts/bootstrap.bundle.min.js}"></script>
</body>
</html>
